#
# spec file for package obs-service-git_tarballs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service git_tarballs

Name:           obs-service-%{service}
Version:        0.1.8+git.1426666264.b5ca8d6
Release:        1.14
Summary:        An OBS source service: updates package tarballs
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
Requires:       python >= 2.6
Requires:       python-argparse
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It downloads tarballs from upstream and updates the spec file version
and changes file.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 git_tarballs %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 git_tarballs.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Wed Mar 18 2015 adrian@suse.de
- Update to version 0.1.8+git.1426666264.b5ca8d6:
  + fix .service file syntax
* Thu Feb  6 2014 speilicke@suse.com
- Update to version 0.1.7+git.1391615784.7a20bda:
  + Allow ChangeLog parsing to fail
  + Fix Pep8 indentation errors
* Tue Aug  6 2013 dmueller@suse.com
- update to 0.1.7+git.1375261502.72b5224:
  72b5224 flake8: Ignore E122 continuation line missing indentation or outdented
  0127fb9 Standardize pip requirements
  baf0fce Fix flake8 issues
  2bff33b Don't try to close non-opened tarball.
  f210289 add some more comments about plain_version and parsing the %%setup field
  d3ea35d refactor get_parent_dir_and_version_from_tarball function
  22cee95 Fix changelog extraction for plain-version packages
  5ba0187 Fix various flake8/hacking warnings
  8044b12 Fix off-by-one in .changes file template
* Mon May 27 2013 speilicke@suse.com
- Update to version 0.1.7+git.1366807960.cee10f0:
  + More testing
- Add git commit to version
* Wed Apr 24 2013 iartarisi@suse.com
- Update to version 0.1.7:
  + skip updating the version if no changes were found
* Mon Mar 18 2013 speilicke@suse.com
- Add "plain-version" flag to directly use the upstream version
  instead of "$UPSTREAMVER.git+$TIMESTAMP.$COMMITSHA"
* Wed Jan 30 2013 iartarisi@suse.com
- Update to version 0.1.5:
  + show commits in .changes in descending chronological order
  + fix problem with complex %%setup call being rewritten
  + fix Merge message handling
* Thu Jan 17 2013 iartarisi@suse.com
- Update to latest git (06b6b8fc49b):
  + only update the main package's .spec file
  + fix Version parsing
  + fix first run as different from no changes
  + more comprehensive README
* Wed Dec 19 2012 saschpe@suse.de
- Update to lastest git (3a29237a32):
  + Replace 'with' statement with 'try ... finally' clauses.
* Wed Dec 19 2012 saschpe@suse.de
- Update to latest git (4420e4a96a):
  + 'Source' can also be 'Source0' in the spec file
  + Don't quit if there are new changes
  + Get rid of macro %%majorversion.
  + Make sure get_version_from_tarball really gets the correct version
* Wed Dec 19 2012 saschpe@suse.de
- Update to latest git (3390ccdcaf):
  + Make --package and --filename parameter optional
  + Use the same version string in .spec and .changes files
* Tue Dec 11 2012 iartarisi@suse.com
- init
